API REFERENCEv1

Short URL Clicks Details

GEThttps://api2.protexting.com/v1/shorturl/details

Pass your server-side token as access_token. Replace sample values with your own. Authentication & setup →

Short URL Clicks Details

Endpoint
https://api2.protexting.com/v1/shorturl/details?access_token=your_access_token&id=<id>

Request parameters:

* required parameters

ParameterDescription
* idInteger, required
numberString, valid phone number
from_date_timeDateTime
to_date_timeDateTime
cityString
stateString

Response parameters:

ParameterDescription
NumberInteger
DateTimeDateTime, String.
CityString
StateString
CountryString
DeviceString

Example Request:

Request example
# Set PROTEXTING_ACCESS_TOKEN in your environmentcurl --request GET \  "https://api2.protexting.com/v1/shorturl/details?id=1&access_token=${PROTEXTING_ACCESS_TOKEN:?Set your API token}" \  --header 'Accept: application/json'
Server-side exampleJSON · HTTPS

Example Response Headers:

Response headers example
Status Code: 200 OK Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0 Connection: Keep-Alive Content-Type: application/xml; charset=utf-8 Keep-Alive: timeout=5, max=100 Link: <https://api2.protexting.com/v1/shorturl/details?access_token=your_access_token&id=1&page=1>; rel=self Pragma: no-cache Transfer-Encoding: chunked X-Pagination-Current-Page: 1 X-Pagination-Page-Count: 1 X-Pagination-Per-Page: 100 X-Pagination-Total-Count: 1 X-Powered-By: PHP/5.6.2 X-Rate-Limit-Limit: 60 X-Rate-Limit-Remaining: 59 X-Rate-Limit-Reset: 0

Example Response Body:

JSON response example
[
    {
        "Number": "1646xxxxxxx",        "DateTime": "2019-01-01 12:00:00",
        "City": "Wooster",        "State": "Ohio",        "Country""United States",        "Device""Android"
    },
    .....
]
XML response example
<response>   <item>       <Number>1646xxxxxxx</Number>       <DateTime>2019-01-01 12:00:00</DateTime>       <City>Wooster</City>       <State>Ohio</State>       <Country>United States</Country>       <Device>Android</Device>   </item>   ...</response>

HTTP Status Codes:

The standard HTTP Status Codes are used. More information is available here: http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml

Reference from the ProTexting documentation catalog. Code examples are illustrative; this page does not execute API requests.